[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FpGetpid

Return current process ID

## Declaration

Source position: bunxh.inc line 46

`function FpGetpid: TPid;`

## Description

FpGetpid returns the process ID of the currently running process.

Note: There exist a portable alternative to fpGetpid: system.GetProcessID. Please use fpGetpid only if you are writing Unix specific code. System.GetProcessID will work on all operating systems.

## Errors

None.

## See also

FpGetPPid |  | Return parent process ID

## Example

    Program Example16;

    { Program to demonstrate the GetPid, GetPPid function. }

    Uses BaseUnix;

    begin
      Writeln ('Process Id = ',fpgetpid,' Parent process Id = ',fpgetppid);
    end.